Your message dated Wed, 04 Jan 2012 08:49:11 +0000
with message-id <e1rimx1-0006qn...@franck.debian.org>
and subject line Bug#653590: fixed in digikam 4:2.5.0-1
has caused the Debian Bug report #653590,
regarding digikam: Please build with --as-needed to avoid unneccessary 
dependencies
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
653590: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=653590
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: digikam
Version: 4:2.4.1-1
Severity: wishlist
Tags: patch

Building with -Wl,--as-needed added to the linker flags would
avoid some unnecessary dependencies.

The attached patch adds -Wl,--as-needed to LDFLAGS before
calling dh_auto_configure.

Thanks,
Daniel Schaal

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (103, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-rc7-dbg-00017-g371de6e (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages digikam depends on:
ii  digikam-data             4:2.4.1-1
ii  kde-runtime              4:4.7.4-1
ii  kdepim-runtime           4:4.7.4-0r1
ii  libc6                    2.13-24
ii  libgcc1                  1:4.6.2-9
ii  libglib2.0-0             2.30.2-4
ii  libgomp1                 4.6.2-9
ii  libgphoto2-2             2.4.11-3.1
ii  libgphoto2-port0         2.4.11-3.1
ii  libice6                  2:1.0.7-2
ii  libjasper1               1.900.1-12
ii  libjpeg8                 8c-2
ii  libkabc4                 4:4.7.4-1
ii  libkcmutils4             4:4.7.4-1
ii  libkdcraw20              4:4.7.4-1
ii  libkde3support4          4:4.7.4-1
ii  libkdecore5              4:4.7.4-1
ii  libkdeui5                4:4.7.4-1
ii  libkdewebkit5            4:4.7.4-1
ii  libkemoticons4           4:4.7.4-1
ii  libkexiv2-10             4:4.7.4-1
ii  libkfile4                4:4.7.4-1
ii  libkhtml5                4:4.7.4-1
ii  libkidletime4            4:4.7.4-1
ii  libkio5                  4:4.7.4-1
ii  libkipi8                 4:4.7.4-1
ii  libkjsapi4               4:4.7.4-1
ii  libknotifyconfig4        4:4.7.4-1
ii  libkparts4               4:4.7.4-1
ii  libkprintutils4          4:4.7.4-1
ii  libkresources4           4:4.7.4-1
ii  libkutils4               4:4.7.4-1
ii  liblcms1                 1.19.dfsg-1+b1
ii  liblensfun0              0.2.4-1
ii  liblqr-1-0               0.4.1-1.1
ii  libmarblewidget12        4:4.7.4-1
ii  libnepomuk4              4:4.7.4-1
ii  libnepomukutils4         4:4.7.4-1
ii  libopencv-calib3d2.3     2.3.1-4
ii  libopencv-contrib2.3     2.3.1-4
ii  libopencv-core2.3        2.3.1-4
ii  libopencv-features2d2.3  2.3.1-4
ii  libopencv-flann2.3       2.3.1-4
ii  libopencv-gpu2.3         2.3.1-4
ii  libopencv-highgui2.3     2.3.1-4
ii  libopencv-imgproc2.3     2.3.1-4
ii  libopencv-legacy2.3      2.3.1-4
ii  libopencv-ml2.3          2.3.1-4
ii  libopencv-objdetect2.3   2.3.1-4
ii  libopencv-video2.3       2.3.1-4
ii  libphonon4               4:4.6.0really4.5.1-1
ii  libpng12-0               1.2.46-3
ii  libqjson0                0.7.1-6
ii  libqt4-dbus              4:4.7.4-1
ii  libqt4-network           4:4.7.4-1
ii  libqt4-qt3support        4:4.7.4-1
ii  libqt4-sql               4:4.7.4-1
ii  libqt4-sql-sqlite        4:4.7.4-1
ii  libqt4-svg               4:4.7.4-1
ii  libqt4-xml               4:4.7.4-1
ii  libqtcore4               4:4.7.4-1
ii  libqtgui4                4:4.7.4-1
ii  libqtwebkit4             2.2.0-2
ii  libsm6                   2:1.2.0-2
ii  libsolid4                4:4.7.4-1
ii  libsoprano4              2.7.3+dfsg.1-1
ii  libstdc++6               4.6.2-9
ii  libtiff4                 3.9.5-2
ii  libusb-0.1-4             2:0.1.12-19
ii  libx11-6                 2:1.4.4-4
ii  libxau6                  1:1.0.6-4
ii  libxdmcp6                1:1.1.0-4
ii  libxext6                 2:1.3.0-3
ii  libxft2                  2.2.0-3
ii  libxpm4                  1:3.5.9-4
ii  phonon                   4:4.6.0really4.5.1-1
ii  zlib1g                   1:1.2.3.4.dfsg-3

Versions of packages digikam recommends:
ii  chromium [www-browser]   15.0.874.121~r109964-1
ii  iceweasel [www-browser]  9.0.1-1
ii  kipi-plugins             4:2.4.1-1
ii  mplayerthumbs            <none>
ii  rekonq [www-browser]     0.8.1-1

Versions of packages digikam suggests:
pn  digikam-doc  <none>

-- no debconf information
>From 42929abe1906fba6044eb7e05550541038f34116 Mon Sep 17 00:00:00 2001
From: Daniel Schaal <farb...@web.de>
Date: Sat, 10 Dec 2011 23:14:32 +0100
Subject: [PATCH] Add -Wl,--as-needed to linker flags

---
 debian/rules |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/debian/rules b/debian/rules
index 01f10d9..54f6d6d 100755
--- a/debian/rules
+++ b/debian/rules
@@ -3,6 +3,9 @@
 %:
 	dh $@ --with kde --parallel 
 
+override_dh_auto_configure:
+	LDFLAGS="$(LDFLAGS) -Wl,--as-needed" dh_auto_configure --buildsystem=kde
+
 override_dh_installchangelogs:
 	dh_installchangelogs core/ChangeLog 
 
-- 
1.7.7.3


--- End Message ---
--- Begin Message ---
Source: digikam
Source-Version: 4:2.5.0-1

We believe that the bug you reported is fixed in the latest version of
digikam, which is due to be installed in the Debian FTP archive:

digikam-data_2.5.0-1_all.deb
  to main/d/digikam/digikam-data_2.5.0-1_all.deb
digikam-dbg_2.5.0-1_amd64.deb
  to main/d/digikam/digikam-dbg_2.5.0-1_amd64.deb
digikam-doc_2.5.0-1_all.deb
  to main/d/digikam/digikam-doc_2.5.0-1_all.deb
digikam_2.5.0-1.debian.tar.gz
  to main/d/digikam/digikam_2.5.0-1.debian.tar.gz
digikam_2.5.0-1.dsc
  to main/d/digikam/digikam_2.5.0-1.dsc
digikam_2.5.0-1_amd64.deb
  to main/d/digikam/digikam_2.5.0-1_amd64.deb
digikam_2.5.0.orig.tar.bz2
  to main/d/digikam/digikam_2.5.0.orig.tar.bz2
kipi-plugins-common_2.5.0-1_all.deb
  to main/d/digikam/kipi-plugins-common_2.5.0-1_all.deb
kipi-plugins_2.5.0-1_amd64.deb
  to main/d/digikam/kipi-plugins_2.5.0-1_amd64.deb
showfoto_2.5.0-1_amd64.deb
  to main/d/digikam/showfoto_2.5.0-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 653...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Purcell <m...@debian.org> (supplier of updated digikam package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 04 Jan 2012 17:49:33 +1100
Source: digikam
Binary: digikam showfoto digikam-dbg digikam-data digikam-doc kipi-plugins 
kipi-plugins-common
Architecture: source amd64 all
Version: 4:2.5.0-1
Distribution: experimental
Urgency: low
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Changed-By: Mark Purcell <m...@debian.org>
Description: 
 digikam    - digital photo management application for KDE
 digikam-data - digiKam architecture-independant data
 digikam-dbg - debugging symbols for digiKam
 digikam-doc - handbook for digiKam and showFoto in several languages
 kipi-plugins - image manipulation/handling plugins for KIPI aware programs
 kipi-plugins-common - kipi-plugins architecture-independent data
 showfoto   - image viewer/editor for KDE
Closes: 653590
Changes: 
 digikam (4:2.5.0-1) experimental; urgency=low
 .
   * New upstream release
   * Fix "Please build with --as-needed to avoid unneccessary
     dependencies" Patch from Daniel Schall (Closes: #653590)
   * Drop patches/bashim-fix - included upstream
   * Drop patches/link_qjson.diff - fixed upstream
   * Refresh patches/highgui_c.h
   * Add changeset_r25cc9c9876a5233bd630105d0110319892d4e18c.diff
     upstream fixes FTBFS
   * dh_install -Xmultithread - drop development file
Checksums-Sha1: 
 9fcae1986355a7008769a3dfafb60df3a59d655c 2535 digikam_2.5.0-1.dsc
 6cadb838669d1bdcbd6abb677889f7d68d696383 54976375 digikam_2.5.0.orig.tar.bz2
 06084b49d91cfc92b839b012879790f33c98e12a 42838 digikam_2.5.0-1.debian.tar.gz
 c97f4dddba56b13e51274e98ef13392e87c35c93 7478796 digikam_2.5.0-1_amd64.deb
 d5bcc01b1231d90fce5ae20f3a8f4ad45a88f5a0 1928778 showfoto_2.5.0-1_amd64.deb
 09ca2b7035b24e8101cc4db3fca747fc27a11637 4250080 digikam-dbg_2.5.0-1_amd64.deb
 08661f402d92abc7c03f86fd710d18683f1ed9b8 10988364 digikam-data_2.5.0-1_all.deb
 12173d5139968e7aa8ec0437e3228ba94f67f68c 18799172 digikam-doc_2.5.0-1_all.deb
 d4a9d6080496f62f50180b8febcad94adca24346 6251950 kipi-plugins_2.5.0-1_amd64.deb
 96ee73300023d38e8887b05c945f24460a94b802 7241030 
kipi-plugins-common_2.5.0-1_all.deb
Checksums-Sha256: 
 4248d7bcfa0e092b59a9a543f3f3eb5046729ab39bbb9d95d2ba7db79677edca 2535 
digikam_2.5.0-1.dsc
 55292c79b41fd2c20ce0a821f388645436acb18b3b06b486747e17129114851a 54976375 
digikam_2.5.0.orig.tar.bz2
 45f9f06d502fd801d2981436150804f3f34904f754366c879aa5b881b0b9ed92 42838 
digikam_2.5.0-1.debian.tar.gz
 26e24dbee8f82ea2e3a2d99446cc647a51dfec87878bde92f9fb5587a8c86fd2 7478796 
digikam_2.5.0-1_amd64.deb
 40af37a7cbe533eadcaf0e6ae67fff084b2d40170239c3c90fdce94607045d93 1928778 
showfoto_2.5.0-1_amd64.deb
 841baf3176f3f646bf99d06ca92e5be34998e632d89b5cf09d458d0b61b488a8 4250080 
digikam-dbg_2.5.0-1_amd64.deb
 bc01ea6019412e05f185faa67eb46a85bf65bd8410a7c9cae01f8725d0480872 10988364 
digikam-data_2.5.0-1_all.deb
 96eb503fe6b92b03691a74d0b0753c870dd1310374a4a20dae147d98e9117094 18799172 
digikam-doc_2.5.0-1_all.deb
 3c580c3e6338257371edc588337d6e91bb383242dae29036e3f70b8ac9e127b1 6251950 
kipi-plugins_2.5.0-1_amd64.deb
 331af465ef35e9d8e045c77c1c78981c72184d766fb07834d6d94dd3ddb5dc51 7241030 
kipi-plugins-common_2.5.0-1_all.deb
Files: 
 66ac05b60bf43507b3f70f5416c248c8 2535 graphics optional digikam_2.5.0-1.dsc
 770355060d2033a044c21b0f155be00c 54976375 graphics optional 
digikam_2.5.0.orig.tar.bz2
 fcad51a21c1c24a385a06d2bdf93d297 42838 graphics optional 
digikam_2.5.0-1.debian.tar.gz
 ac754b4c5e4e7cbc9ca83d3b03d8e5da 7478796 graphics optional 
digikam_2.5.0-1_amd64.deb
 fbc079eaa3549aa3dc62e13283e93a60 1928778 graphics optional 
showfoto_2.5.0-1_amd64.deb
 071e1934bd4d6d1a46e5ec04a1b7676d 4250080 debug extra 
digikam-dbg_2.5.0-1_amd64.deb
 faedfc98c6ff621d93a09a01904b6a1c 10988364 graphics optional 
digikam-data_2.5.0-1_all.deb
 a1ba47c2ca4a15a5eb6a987d5de7a92d 18799172 doc optional 
digikam-doc_2.5.0-1_all.deb
 1f36de828285e46c24eb96f5e7b8be58 6251950 graphics optional 
kipi-plugins_2.5.0-1_amd64.deb
 038521619e957aecf74d312ccc241691 7241030 graphics optional 
kipi-plugins-common_2.5.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk8EBQQACgkQoCzanz0IthJKawCgmid++IJa/G7IDSJUr++9SATw
ZjQAniGxBDwHgp5cOGuDxAtqN2bkwPG0
=F7sT
-----END PGP SIGNATURE-----



--- End Message ---
_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-kde-extras

Reply via email to